# React

## 2.17.0 - 2026-04-29

* Added [MoveDevice](/move-platform/sdk/models/movedevice.md) display name.
* Added [MoveDeviceState](/move-platform/sdk/models/movedevice/movedevicestate.md).
* Deprecated live trip tag.

## 2.16.0 - 2025-02-04

* Added [GetMoveConfig](/move-platform/sdk/api-interface/ios/services.md#get-configuration) function.
* Added move expo plugin.&#x20;

## 2.15.0 - 2025-12-04

* Split iOS [HealthKit functionality.](/move-platform/sdk/getting-started/react-native.md)
* Added [beacon uuid registration](/move-platform/sdk/models/movedevice.md).
* Impact handling improvements.

## 2.14.5 - 2025-09-24

* Enable step count synchronization.
* Expand initial step count data to a day.&#x20;
* SDK updated for 16 KB page size compliance. (Android)
* bugfix for missing metadata submission during manual started trips.

## 2.14.4 - 2025-09-18

* Fixed a bug with step count record deletion upload.

## 2.14.3 - 2025-09-08

* Fixed [startScanningDevices](/move-platform/sdk/api-interface/react-native/services.md#start-scanning-devices) in old architecture (iOS).

## 2.14.2 - 2025-08-22

* Fixed an iOS bug in the trip counting service.

## 2.14.1 - 2025-08-16

* Fixes for using old architecture. (if: `newArchEnabled: false`). See [Appendix](/move-platform/sdk/appendix/react-native.md).

## 2.14.0 - 2025-08-07

* Added Health Step-Counting service. (See important changes in [Permission Handling](/move-platform/sdk/appendix/react-native/permission-handling.md)).
* Small bug fixes & Stability improvements.

## 2.13.0 - 2025-05-27

* Registered Bluetooth devices stored in the backend. Persistence after shutdown / re-registration / login.

## 2.12.0 - 2025-04-03

* Changed the way data is transmitted to our systems, which reduces memory consumption in some situations.
* Bugfixes & Improvements.
  * Fix in lazy loading SDK.

## 2.11.0 - 2025-02-25

* Added [`setHealthListener(...)`](/move-platform/sdk/api-interface/react-native/services.md#set-health-score-listener).
* Added [MoveOptions](/move-platform/sdk/models/moveoptions.md#react-native) to [`updateConfig(...)`](/move-platform/sdk/api-interface/react-native/services.md#update-config).
* Platform specific stability fixes, see: [iOS](https://docs.movesdk.com/move-platform/changelog/pages/-MZJShd4Sv7DW_71hk0n#id-2.11.0-2025-02-04) / [Android](https://docs.movesdk.com/move-platform/changelog/pages/-MZJSfPRqawKT_SVEa1w#id-2.11.0.90-2025-02-04) SDK 2.11.

## 2.10.4 - 2025-02-14

* iOS: Fixed device registration scanner "[connected](/move-platform/sdk/api-interface/react-native/services.md#start-scanning-devices)" filter.
* Move SDK State Listener [changes for android platform](/move-platform/sdk/models/listeners-callbacks.md#react-native).

## 2.10.3 - 2024-11-06

* iOS: Fixed a bug which prompted the motion permission dialog from the SDK.

## 2.10.2 - 2024-10-28

* Added *ENERGY\_SAVER* to [warning reasons](/move-platform/sdk/models/moveservicewarning.md#react-native).
* Added "[connected](/move-platform/sdk/api-interface/react-native/services.md#start-scanning-devices)" filter for scanning.

## 2.10.1 - 2024-09-23

* Added [`setLogListener(...)`](/move-platform/sdk/api-interface/react-native/services.md#set-log-listener).

## 2.10.0 - 2024-09-02

* Added [`setDeviceStateListener(...)`](/move-platform/sdk/api-interface/react-native/services.md#set-movedevice-connection-state-listener).

## 2.9.0 - 2024 -08-19

* Added [`setup(authCode: ...)`](/move-platform/sdk/api-interface/react-native/initialization.md#javascript).

## 2.8.1 - 2024-08-01

* Bugfixes

## 2.8.0 - 2024-05-22

* Manual start trip feature [`startTrip(...)`](/move-platform/sdk/api-interface/react-native/services.md#manual-start-trip) added.
* Live Location TAG feature [`setLiveLocationTag(...)`](/move-platform/sdk/api-interface/react-native/services.md#live-location-tag) added.
* Bugfixes & Improvements

## 2.6.4 - 2023-11-15

* Add call monitor sub types

## 2.6.0 - 2023-09-19

* Added [`TripStartListener`](/move-platform/sdk/models/listeners-callbacks.md#react-native-3)
* Added `backgroundLocationPermissionRequired` to [`MoveOptions`](/move-platform/sdk/models/moveoptions.md#react-native)
* Add Bluetooth Info (Permission, Active/Inact) to state API (2.6.1)

## 2.5.0 - 2023-09-19

* Added optional `useBackendConfig` to [`MoveConfig`](/move-platform/sdk/models/moveconfig.md#react-native)

## 2.4.9 - 2023-09-08

* Bugfixes & stability.

## 2.4.0 - 2023-07-26

* Added device discovery.
* Add auth invalid state.

## 2.3.9 - 2023-07-20

* Bugfixes & stability.

## 2.3.0 - 2023-05-23

* Added [`motion-permission-mandatory`](/move-platform/sdk/models/moveoptions.md#react-native) option.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/changelog/react.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
